.phpcpd: &phpcpd |
  set -e
  [[ "${TRACE}" ]] && set -x

  phpcpd ${PHPCPD_SRC:-src} ${PHPCPD_OPTIONS}

phpcpd:
  stage: standard
  extends:
    - .ci
    - .php
  script:
    - *phpcpd
  rules:
    - !reference [.ci, rules]
    - if: $STANDARD_DISABLE == "true" || $PHPCPD_DISABLE == "true"
      when: never
    - if: $STANDARD_ALLOW_FAILURE == "true" || $PHPCPD_ALLOW_FAILURE == "true"
      allow_failure: true
    - allow_failure: false
